if ~exist('small'), small=false;end
Lfun={@(X,Y) mtimes(X,Y), @(X,Y) X*Y, @(X,Y) fc_bench.demos.matprod02(X,Y) };
names={'mtimes(X,Y)','X*Y',''};
Comment={'# Benchmarking functions:' ...
         '#     A1=mtimes(X,Y) (reference)', ...
         '#     A2= X*Y', ...
         '#     A3= fc_bench.demos.matprod02(X,Y)', ...
         '# where X and Y are m-by-m matrices', ...
         '#   comp[0] is the norm(A1-A2,Inf)', ...
         '#   comp[1] is the norm(A1-A3,Inf)'};
compfun=@(o1,o2) norm(o1-o2,Inf);
setfun=@(varargin) fc_bench.demos.setMatProd02(varargin{:});
if small, In=10:10:50;else, In=100:100:400;end
fc_bench.bench(Lfun, setfun, In', 'comment',Comment, 'names',names, 'compfun',compfun, 'info',false);
